com.dlsc.flexgantt.swing

## Class UtilityControlPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.dlsc.flexgantt.swing.UtilityControlPanel

- All Implemented Interfaces:
    IGanttChartModelListener, ImageObserver, LayoutManager, MenuContainer, PropertyChangeListener, Serializable, EventListener, Accessible

      public class UtilityControlPanel
      extends JPanel
      implements LayoutManager, IGanttChartModelListener, PropertyChangeListener

  A panel used to display various utility controls in the lower left corner of the layer container. Utility controls are: `GridControlPanel`, `PagingControlPanel`, `LayerSelector`, `OverviewSelector`.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UtilityControlPanel(AbstractGanttChart gc)` Constructs a new utility control panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(String name, Component comp)`
    `void` | `ganttChartChanged(GanttChartModelEvent evt)` Callback method that gets invoked whenever change occures in the Gantt chart model that is being observed by the listener.
    `AbstractGanttChart` | `getGanttChart()` Returns the Gantt chart that gets controlled by the utility control panel.
    `GridControlPanel` | `getGridControlPanel()` Returns the grid control panel.
    `RollOverLabel` | `getLayerLabel()` Returns the label used as a parent component for the layer selector.
    `RollOverLabel` | `getOverviewLabel()` Returns the label used as a parent component for the overview selector.
    `PagingControlPanel` | `getPagingControlPanel()` Returns the paging control panel.
    `RollOverLabel` | `getSpreadsheetLabel()` Returns the label used as a parent component for the spreadsheet selector.
    `void` | `layoutContainer(Container parent)`
    `Dimension` | `minimumLayoutSize(Container parent)`
    `Dimension` | `preferredLayoutSize(Container parent)`
    `void` | `propertyChange(PropertyChangeEvent evt)`
    `void` | `removeLayoutComponent(Component comp)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UtilityControlPanel

          public UtilityControlPanel(AbstractGanttChart gc)

      Constructs a new utility control panel.
      Parameters:
        `gc` - the Gantt chart that will be controlled by the utility control panel
      Since:
        1.0

  - ### Method Detail

    - #### addLayoutComponent

          public void addLayoutComponent(String name,
                                         Component comp)

      Specified by:
        `addLayoutComponent` in interface `LayoutManager`

    - #### layoutContainer

          public void layoutContainer(Container parent)

      Specified by:
        `layoutContainer` in interface `LayoutManager`

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize(Container parent)

      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize(Container parent)

      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`

    - #### removeLayoutComponent

          public void removeLayoutComponent(Component comp)

      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`

    - #### getGridControlPanel

          public GridControlPanel getGridControlPanel()

      Returns the grid control panel.
      Returns:
        the grid control panel
      Since:
        1.0

    - #### getPagingControlPanel

          public PagingControlPanel getPagingControlPanel()

      Returns the paging control panel.
      Returns:
        the paging control panel
      Since:
        1.0

    - #### getLayerLabel

          public RollOverLabel getLayerLabel()

      Returns the label used as a parent component for the layer selector. The selector will be shown when the user clicks on the label.
      Returns:
        the layer (selector) label
      Since:
        1.0

    - #### getOverviewLabel

          public RollOverLabel getOverviewLabel()

      Returns the label used as a parent component for the overview selector. The selector will be shown when the user clicks on the label.
      Returns:
        the overview (selector) label
      Since:
        1.0

    - #### getSpreadsheetLabel

          public RollOverLabel getSpreadsheetLabel()

      Returns the label used as a parent component for the spreadsheet selector. The selector will be shown when the user clicks on the label.
      Returns:
        the spreadsheet (selector) label
      Since:
        2.1

    - #### getGanttChart

          public AbstractGanttChart getGanttChart()

      Returns the Gantt chart that gets controlled by the utility control panel.
      Returns:
        the controlled Gantt chart
      Since:
        1.0

    - #### ganttChartChanged

          public void ganttChartChanged(GanttChartModelEvent evt)

      Description copied from interface: `IGanttChartModelListener`
      Callback method that gets invoked whenever change occures in the Gantt chart model that is being observed by the listener.
      Specified by:
        `ganttChartChanged` in interface `IGanttChartModelListener`
      Parameters:
        `evt` - the event object describing the change that took place in the Gantt chart model

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.